mysqli::multi_query
mysqli::options
mysqli
PHP Manual

# mysqli::next_result

# mysqli_next_result

(PHP 5)

mysqli::next_result -- mysqli_next_result — Prepare next result from multi_query

### Description

Object oriented style

bool mysqli::next_result ( void )

Procedural style

bool mysqli_next_result ( mysqli `$link` )

Prepares next result set from a previous call to mysqli_multi_query() which can be retrieved by mysqli_store_result() or mysqli_use_result().

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

See mysqli_multi_query().

### See Also

- mysqli_multi_query() - Performs a query on the database
- mysqli_more_results() - Check if there are any more query results from a multi query
- mysqli_store_result() - Transfers a result set from the last query
- mysqli_use_result() - Initiate a result set retrieval

mysqli::multi_query
mysqli::options
mysqli
PHP Manual